%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           quesoglc
Version:        0.7.2
Release:        %mkrel 12
Summary:        The OpenGL Character Renderer

Group:          System/Libraries
License:        LGPLv2+
URL:            http://quesoglc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-free.tar.bz2
Patch0:		quesoglc-0.7.2-drop-glewContext.patch
Patch2:         fribidi.build.patch

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xi)
BuildRequires:  doxygen

%description
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the libraries, include files, and other resources needed
for developing GLC applications.

%prep
%setup -q
%autopatch -p1

rm -f include/GL/{glxew,wglew,glew}.h
rm -f src/glew.c
ln -s %{_includedir}/GL/{glxew,wglew,glew}.h include/GL/
rm -fr src/fribidi

%build
%configure --disable-static --with-glew --with-fribidi
%make_build

cd docs
doxygen
cd ../

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libGLC.so.%{major}{,.*}
%doc AUTHORS ChangeLog COPYING README THANKS docs/html

%files -n %{develname}
%{_includedir}/GL/glc.h
%{_libdir}/libGLC.so
%{_libdir}/pkgconfig/quesoglc.pc




%changelog
* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.7.2-12.mga8
+ Revision: 1651464
- re-add glewContext patch
- switch back to system glew
- try without autoreconf
- use bundled glew for now
- try without glewContext patch
- rebuild for glew

* Fri Feb 14 2020 umeabot <umeabot> 0.7.2-11.mga8
+ Revision: 1516259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.2-10.mga7
+ Revision: 1300753
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.7.2-9.mga7
+ Revision: 1242429
- fix build on aarch64
- build with glew

* Sun Apr 22 2018 daviddavid <daviddavid> 0.7.2-8.mga7
+ Revision: 1220976
- add fedora patch to fix build with fribidi >= 1.0

* Sat Feb 06 2016 umeabot <umeabot> 0.7.2-7.mga6
+ Revision: 940573
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-6.mga5
+ Revision: 748494
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 688580
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 517916
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 380110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 fwang <fwang> 0.7.2-2.mga2
+ Revision: 147192
- merge gentoo builds
- use correct configure
- add glew
- cleanup br

* Sat Feb 26 2011 eandry <eandry> 0.7.2-1.mga1
+ Revision: 60957
- clean spec file
- imported package quesoglc


* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 402527
- New version 0.7.2

* Sun Aug 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 275476
- import quesoglc


